<template>
    <div :class="{ 'hidden': !modelValue }"
        class="overflow-y-auto overflow-x-hidden fixed top-0 right-0 left-0 z-50 md:inset-0 h-modal md:h-full w-full flex justify-center items-center bg-black bg-opacity-50">
        <div class="max-w-5xl h-full md:h-auto" v-click-outside="onClickOutside">
            <img :src="src" class="w-full" />
        </div>
    </div>
</template>

<script>
export default {
    name: 'VConfirmBox',
    props: {
        modelValue: {
            type: Boolean,
            default: false
        },
        src: {
            type: String,
            required: true
        }
    },
    methods: {
        onClickOutside() {
            this.$emit('update:modelValue', false);
        }
    }
}
</script>
